## qtbase-opensource-src 5.2.0+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.2.0+dfsg-7) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Use canonical Vcs-Browser field.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Install qmake's arch-specific data in an arch-specific path by using the
    hostdatadir option while calling configure.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 12:35:55 -0300

qtbase-opensource-src (5.2.0+dfsg-6) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Build-depend on libxcb-xkb-dev, to get more input languages support.
  * Also, build-depend on libxcb-sync-dev instead of removed libxcb-sync0-dev.
  * Fix misspelled DEB_HOST_ARCH_OS in debian/rules comments.
  * Re-introduce qtbase5-doc-html package.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Backport fix_crash_stale_pointer_dereferencing.patch to solve a crash
    while using harfbuzz-ng.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 16 Jan 2014 14:54:26 -0300

qtbase-opensource-src (5.2.0+dfsg-5) experimental; urgency=medium

  * Workaround sparc's FTBFS due to it's qatomic code.
  * Build Qt against system's harfbuzz (Closes: #733972).
  * Update symbol's files unsing buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 02 Jan 2014 19:42:08 -0300

qtbase-opensource-src (5.2.0+dfsg-4) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Remove unused piece of code in debian/rules.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Enable processor detection for s390[x] and sparc.
    - Do not use Wcast-align on header's tests on sparc, thus avoiding a FTBFS.
  * Update symbols files using buildds' logs.
  * Patch out Google-AdSense tracker from examples.
  * Update Standars-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 31 Dec 2013 19:22:00 -0300

qtbase-opensource-src (5.2.0+dfsg-3) experimental; urgency=low

  [ Pino Toscano ]
  * Further fix for MIPS, also in the orderedMemoryFence implementation;
    patch mips_more_pre-mips32.diff.
  * rules: small simplification in the platform_arg (mkspec) selection.
  * Initial support for GNU/kFreeBSD:
    - provide qmake mkspec, and use LD_LIBRARY_PATH; patch gnukfreebsd.diff
    - rules: use the gnukfreebsd-g++ when configure'ing
  * Get rid of our glibc-g++ qmake mkspec: it was a mistake with Qt4 (3?)
    already, and it is no more working with non-Linux OSes; as a consequence,
    error out for OSes with no qmake mkspec explicitly set in rules.
  * Remove the Pre-Depends on dpkg >= 1.15.6~, since that version is available
    in Squeeze already.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' logs.

  [ Dmitry Shachnev ]
  * Explicitly define all DEB_HOST_ARCH{,_BITS} variables and remove duplicate
    variables.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 21 Dec 2013 15:31:52 -0300

qtbase-opensource-src (5.2.0+dfsg-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Simplify and sort qtbase5-dev.install-armel and qtbase5-dev.install-armhf.
  * Include sys/utsname.h for uname(3); patch uname_include.diff.
  * Move few Linux-only files from qtbase5-dev.install-common to
    qtbase5-dev.install-linux.
  * Remove the cmake files of QtSql plugins on dh_auto_install phase instead
    of dh_install.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 19 Dec 2013 21:37:00 -0300

qtbase-opensource-src (5.2.0+dfsg-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Fix two wrongly sorted lines in qtbase5-private-dev.install (thanks Timo).
  * Do not list armhf-specific paths in qtbase5-dev.install-armel.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Update install files.
  * Update symbols files, marking private symbols as such.
  * Remove Disallow_deep_or_widely_nested_entity_references.patch, it has been
    applied upstream.
  * Upstream made all archs use double for qreal (see #731261 for more
    context).
    - Rename libqt5core5 to libqt5core5a to help in the transition:
      - Make libqt5core5a break and replace libqt5core5 << 5.2.0+dfsg~.
      - Rename the associated files (install, lintian-overrides and symbols).
      - Adjust dependencies in debian/control.
      - Add lintian override for package not matching SONAME.
    - Re create symbols that used the qreal subst, they are now all doubles.
  * A user of Qt built by a distro doesn't needs to find where the SQL plugins
    are via CMake. Do not install them (Closes: #729602).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 12 Dec 2013 18:42:12 -0300

qtbase-opensource-src (5.2.0~beta1+dfsg-3) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Also install KSM/EGL CMake's configuration files for armel:
    - Create debian/qtbase5-dev.install-armel.
  * Install the QEvdev CMake related files only in Linux, as they are not
    present in Hurd.
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 22 Nov 2013 12:29:39 -0300

qtbase-opensource-src (5.2.0~beta1+dfsg-2) experimental; urgency=low

  * Install KMS/EGL CMake's configuration files for armhf.
    - Create debian/qtbase5-dev.install-armhf.
    - Move debian/qtbase5-dev.install to debian/qtbase5-dev.install-common.
  * Update symbols files.
  * Import upstream's fix_power_atomic_code.patch for fixing PowerPC's FTBFS
    (Closes: #729265). Thanks Aurelien Jarno for the patch.
  * Import upstream's support_mips_atomic_on_pre-mips32_archs.patch for fixing
    MIPS's FTBFS (Closes: #729187). Thanks Aurelien Jarno for the patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 11 Nov 2013 11:22:49 -0300

qtbase-opensource-src (5.2.0~beta1+dfsg-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * New upstream beta release.

